#ifndef BENCH_AUX_H
#define BENCH_AUX_H 1

//-- timer for benchmarks ------------------------------------------------------

double
walltime();

//-- setup and print matrices --------------------------------------------------

void
initGeMatrix(int m, int n, double *A, int incRowA, int incColA);

void
randGeMatrix(int m, int n, double *A, int incRowA, int incColA);

void
makeTrlDiagDom(int n, int unitDiag, double *A, int incRowA, int incColA);

void
makeGeDiagDom(int n, int m, double *A, int incRowA, int incColA);

void
printGeMatrix(int m, int n, const double *A, int incRowA, int incColA);

void
printTrMatrix(int m, int n, int unitDiag, int lower,
              const double *A, int incRowA, int incColA);

#endif // BENCH_AUX_H
